diff --git a/Rendering/OpenGL2/vtkEGLRenderWindow.cxx b/Rendering/OpenGL2/vtkEGLRenderWindow.cxx
index ec211ba612..d4773855e2 100644
--- a/Rendering/OpenGL2/vtkEGLRenderWindow.cxx
+++ b/Rendering/OpenGL2/vtkEGLRenderWindow.cxx
@@ -127,12 +127,12 @@ public:
     , Context(EGL_NO_CONTEXT)
     , EGLInitialized(false)
   {
-#if defined(__ANDROID__) || defined(ANDROID)
+//#if defined(__ANDROID__) || defined(ANDROID)
     // On Android platform, unconditionally load the EGL functions with EGL_NO_DISPLAY
     // because the EGL library is always available.
     gladLoaderLoadEGL(this->Display);
     this->EGLInitialized = true;
-#endif
+//#endif
   }
 };
 
@@ -402,18 +402,18 @@ bool vtkEGLRenderWindow::SetDeviceAsDisplay(int deviceIndex)
       return false;
     }
   }
-#if !defined(__ANDROID__) && !defined(ANDROID)
-  if (major <= 1 && minor < 4)
-  {
-    vtkWarningMacro("Only EGL 1.4 and greater allows OpenGL as client API. "
-                    "See eglBindAPI for more information.");
-    return false;
-  }
-  // Loads EGL functions that are supported by this display.
-  gladLoaderLoadEGL(impl->Display);
-  impl->EGLInitialized = true;
-  eglBindAPI(EGL_OPENGL_API);
-#endif
+//#if !defined(__ANDROID__) && !defined(ANDROID)
+//  if (major <= 1 && minor < 4)
+//  {
+//    vtkWarningMacro("Only EGL 1.4 and greater allows OpenGL as client API. "
+//                    "See eglBindAPI for more information.");
+//    return false;
+//  }
+//  // Loads EGL functions that are supported by this display.
+//  gladLoaderLoadEGL(impl->Display);
+//  impl->EGLInitialized = true;
+//  eglBindAPI(EGL_OPENGL_API);
+//#endif
 
   return true;
 }
@@ -445,25 +445,25 @@ void vtkEGLRenderWindow::ResizeWindow(int width, int height)
    */
   EGLint surfaceType, clientAPI;
   const EGLint* contextAttribs;
-#if defined(__ANDROID__) || defined(ANDROID)
+//#if defined(__ANDROID__) || defined(ANDROID)
   surfaceType = EGL_WINDOW_BIT;
   clientAPI = EGL_OPENGL_ES2_BIT;
   const EGLint contextES2[] = { EGL_CONTEXT_CLIENT_VERSION, 2, EGL_NONE };
   contextAttribs = contextES2;
-#else
-  // arguably you could have EGL_WINDOW_BIT here as well
-  surfaceType = EGL_PBUFFER_BIT;
-  clientAPI = EGL_OPENGL_BIT;
-  contextAttribs = nullptr;
-#endif
+//#else
+//  // arguably you could have EGL_WINDOW_BIT here as well
+//  surfaceType = EGL_PBUFFER_BIT;
+//  clientAPI = EGL_OPENGL_BIT;
+//  contextAttribs = nullptr;
+//#endif
 
   const EGLint configs[] = { EGL_SURFACE_TYPE, surfaceType, EGL_BLUE_SIZE, 8, EGL_GREEN_SIZE, 8,
     EGL_RED_SIZE, 8, EGL_ALPHA_SIZE, 8, EGL_DEPTH_SIZE, 8, EGL_RENDERABLE_TYPE, clientAPI,
     EGL_NONE };
 
-#if !defined(__ANDROID__) && !defined(ANDROID)
-  const EGLint surface_attribs[] = { EGL_WIDTH, width, EGL_HEIGHT, height, EGL_NONE };
-#endif
+//#if !defined(__ANDROID__) && !defined(ANDROID)
+//  const EGLint surface_attribs[] = { EGL_WIDTH, width, EGL_HEIGHT, height, EGL_NONE };
+//#endif
 
   EGLint numConfigs = 0;
   EGLConfig config;
@@ -507,11 +507,11 @@ void vtkEGLRenderWindow::ResizeWindow(int width, int height)
     eglDestroySurface(impl->Display, impl->Surface);
   }
 
-#if defined(__ANDROID__) || defined(ANDROID)
+//#if defined(__ANDROID__) || defined(ANDROID)
   impl->Surface = eglCreateWindowSurface(impl->Display, config, impl->Window, nullptr);
-#else
-  impl->Surface = eglCreatePbufferSurface(impl->Display, config, surface_attribs);
-#endif
+//#else
+//  impl->Surface = eglCreatePbufferSurface(impl->Display, config, surface_attribs);
+//#endif
   this->Mapped = this->ShowWindow;
   this->OwnWindow = true;
 
